import './demo2.css';
import Menu from '..';
import React from 'react';
import ReactDOM from 'react-dom';
const { SubMenu, Item } = Menu;
ReactDOM.render(React.createElement(Menu
// @ts-ignore
, { 
    // @ts-ignore
    hozInLine: true, direction: "hoz", mode: "popup", className: "my-hoz-menu", popupClassName: "my-hoz-menu", popupAutoWidth: true },
    React.createElement(Item, { key: "1" }, "First"),
    React.createElement(Item, { key: "2" }, "Second"),
    React.createElement(SubMenu, { label: "Sub Nav" },
        React.createElement(Item, { key: "sub-12" }, "Sub option 1"),
        React.createElement(Item, { key: "sub-22" }, "Sub option 2"),
        React.createElement(SubMenu, { label: "Sub Sub Nav" },
            React.createElement(Item, { key: "sub-sub-122" }, "Sub sub option 1"),
            React.createElement(Item, { key: "sub-sub-222" }, "Sub sub option 2"))),
    React.createElement(SubMenu, { label: "Sub Nav" },
        React.createElement(Item, { key: "sub-1" }, "Sub option 1"),
        React.createElement(Item, { key: "sub-2" }, "Sub option 2"),
        React.createElement(SubMenu, { label: "Sub Sub Nav" },
            React.createElement(Item, { key: "sub-sub-1" }, "Sub sub option 1"),
            React.createElement(Item, { key: "sub-sub-2" }, "Sub sub option 2"))),
    React.createElement(Item, { key: "3" }, "Third")), document.getElementById('menu-demo-2'));
